/* compilar con 
   g++ programita.cc -o programita `pkg-config gtkmm-2.4 --cflags --libs`
*/
#include <iostream>
#include "programita.h"

MyWindow::MyWindow () :
	checkbutton ("Mostrar icono en el área de notificación", true)
{
	checkbutton.signal_toggled().connect 
		(sigc::mem_fun (*this,
				&MyWindow::on_checkbutton_toggled));
	this->add (checkbutton);

	m_refStatusIcon = Gtk::StatusIcon::create(Gtk::Stock::HOME);
	m_refStatusIcon->set_tooltip("Un icono de estado, en gtkmm");
	m_refStatusIcon->set_visible (this->checkbutton.get_active ());
};
	
void
MyWindow::on_checkbutton_toggled (void)
{
	m_refStatusIcon->set_visible (this->checkbutton.get_active ());
}

int main (int argc, char *argv[])
{
	Gtk::Main kit (argc, argv);

	MyWindow window;

	window.show_all();
	
	Gtk::Main::run (window);

	return 0;
}
